Debian Bug report logs - #724904
ITP: python-ddt -- Data-Driven/Decorated Tests

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Goirand <zigo@debian.org>

Date: Sun, 29 Sep 2013 15:09:06 UTC

Owned by: Thomas Goirand <zigo@debian.org>

Severity: wishlist

Fixed in version python-ddt/0.4.0-1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#724904; Package wnpp. (Sun, 29 Sep 2013 15:09:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org. (Sun, 29 Sep 2013 15:09:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-ddt -- Data-Driven/Decorated Tests
Date: Sun, 29 Sep 2013 23:05:29 +0800
Package: wnpp
Severity: wishlist
Owner: Thomas Goirand <zigo@debian.org>

* Package name    : python-ddt
  Version         : 0.4.0
  Upstream Author : Carles Barrob├ęs <carles@barrobes.com>
* URL             : https://github.com/txels/ddt
* License         : Apache-2.0
  Programming Lang: Python
  Description     : Data-Driven/Decorated Tests

 DDT (Data-Driven Tests) allows you to multiply one test case by running it
 with different test data, and make it appear as multiple test cases. DDT
 consists of a class decorator ddt (for your TestCase subclass) and two
 method decorators (for your tests that want to be multiplied).



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 29 Sep 2013 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Tue, 29 Oct 2013 22:03:28 GMT) Full text and rfc822 format available.

Notification sent to Thomas Goirand <zigo@debian.org>:
Bug acknowledged by developer. (Tue, 29 Oct 2013 22:03:28 GMT) Full text and rfc822 format available.

Message #12 received at 724904-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 724904-close@bugs.debian.org
Subject: Bug#724904: fixed in python-ddt 0.4.0-1
Date: Tue, 29 Oct 2013 22:00:37 +0000
Source: python-ddt
Source-Version: 0.4.0-1

We believe that the bug you reported is fixed in the latest version of
python-ddt, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 724904@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated python-ddt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 29 Sep 2013 22:52:44 +0800
Source: python-ddt
Binary: python-ddt
Architecture: source all
Version: 0.4.0-1
Distribution: unstable
Urgency: low
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 python-ddt - Data-Driven/Decorated Tests
Closes: 724904
Changes: 
 python-ddt (0.4.0-1) unstable; urgency=low
 .
   * Initial release. (Closes: #724904)
Checksums-Sha1: 
 97d7effc4b28fed2774cebc3715d18dfe7986539 1514 python-ddt_0.4.0-1.dsc
 4d107b35c0978858e597088eab60e72a700fa72d 8412 python-ddt_0.4.0.orig.tar.xz
 878fb674a96347523d6a725fce6622d3309366a1 2117 python-ddt_0.4.0-1.debian.tar.gz
 ad5d849085442c204e1e0fa51d4ff4b8c25b388c 21882 python-ddt_0.4.0-1_all.deb
Checksums-Sha256: 
 68c39c7a4f5d83711c3a4ee8d87dae32a7c062805ec744e0c8fa120114e3e35e 1514 python-ddt_0.4.0-1.dsc
 d2437e8a4cb0d9f2571e5e8fc07df077b446f016fb8771c9b1d8ab0b1d489a39 8412 python-ddt_0.4.0.orig.tar.xz
 4e93eef1b78134f693ad692167c0b19c5544416340351b7c7a2695203f484815 2117 python-ddt_0.4.0-1.debian.tar.gz
 3e81b67fbdc9cff128f453bbe322fa09ff491bc104120ef6c35a77b91a3dd0dd 21882 python-ddt_0.4.0-1_all.deb
Files: 
 4a563a7ffdab5bc8ca6983fca379e3ab 1514 python optional python-ddt_0.4.0-1.dsc
 74ee7dac04683d333a853202bd8f4fee 8412 python optional python-ddt_0.4.0.orig.tar.xz
 a37539741345d3fa7e1a0803391d9e7d 2117 python optional python-ddt_0.4.0-1.debian.tar.gz
 6feeee3abed55aa7bdeb6aab436af9fa 21882 python optional python-ddt_0.4.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)

iEYEARECAAYFAlJIRY4ACgkQl4M9yZjvmkkq6wCeOfd3EMVAajqYF2PVwi6d9ZDm
WvcAn2A0LwYFwW56TDnQLQeWLV6IpGFQ
=qWOE
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 27 Nov 2013 07:25:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:49:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.